<?xml version="1.0" encoding="utf-8" ?>
<select>
  <selectstr>
SELECT u_bednet.bednetid
	,u_bednet.bednettypeid
	,u_bednet.bednetcode
	,u_bednet.bednetname
	,u_bednet.deptid
	,u_bednet.mattress_width
	,u_bednet.mattress_height
	,u_bednet.mattress_length
	,u_bednet.if_doublenet
	,u_bednet.if_doublespring
	,u_bednet.if_side_iron
	,u_bednet.if_jb
	,u_bednet.iffork
	,u_bednet.if_rsORwa
	,u_bednet.if_sponge_drilling
	,u_bednet.packtype
	,u_bednet.packqty
	,u_bednet.total_hr_cost
	,u_bednet.total_fees_cost
	,u_bednet.total_cost
	,u_bednet.taxrate
	,u_bednet.taxes
	,u_bednet.commissionrate
	,u_bednet.commission
	,u_bednet.fob
	,u_bednet.profitrate
	,u_bednet.nottax_factory_cost
	,u_bednet.nottax_dept_cost
	,u_bednet.dept_cost
	,u_bednet.foreign_cost
	,u_bednet.extras_cost
	,u_bednet.dept_profitrate
	,u_bednet.moneyrate
	,u_bednet.flag
	,u_bednet.createtime
	,u_bednet.createby
	,u_bednet.erp_mtrlid
    ,u_bednet.js2_flag
    ,u_bednet.js2_auditingrep
    ,u_bednet.js2_auditingdate
    ,u_bednet.creatmtrl_flag
    ,u_bednet.creatmtrl_auditingrep
    ,u_bednet.creatmtrl_auditingdate
    ,u_bednet.creatmtrlqd_flag
    ,u_bednet.creatmtrlqd_auditingrep
    ,u_bednet.creatmtrlqd_auditingdate
    ,u_bednet.erp_mtrlcode
    ,u_bednet.erp_mtrlengname
    ,u_bednet.erp_configcodetype
FROM u_bednet
  </selectstr>
  <where>
	<when notnull="@arg_deptid">
		u_bednet.deptid=@arg_deptid
	</when>
	<when notnull="@creatmtrlqd_flag" creatmtrlqd_flag!="-1">
		u_bednet.creatmtrlqd_flag = @creatmtrlqd_flag
	</when>
	<when notnull="@creatmtrl_flag" creatmtrl_flag!="-1">
		u_bednet.creatmtrl_flag = @creatmtrl_flag
	</when>
	<when notnull="@js2_flag" js2_flag!="-1">
		u_bednet.js2_flag = @js2_flag
	</when>
	<when $user_outrepstr!="-1">
		u_bednet.createby in ($$user_outrepstr$$)
	</when>
	<when $user_deptstr!="-1">
		u_bednet.deptid in ($$user_deptstr$$)
	</when>
	<when notnull="@arg_search">
		u_bednet.bednetcode like '%'+ @arg_search + '%' OR u_bednet.bednetname like '%'+ @arg_search + '%' OR u_bednet.erp_mtrlengname like '%'+ @arg_search + '%' OR u_bednet.erp_mtrlcode like '%'+ @arg_search + '%'
	</when>
  </where>
  <orderstr>bednetid DESC</orderstr>
  <displayfields>
    <field field="js2_flag" datatype="checkbox">清单补充审核</field>
    <field field="creatmtrl_flag" datatype="checkbox">生成L1产品</field>
    <field field="creatmtrlqd_flag" datatype="checkbox">生成L1清单</field>
    <field field="erp_mtrlcode">L1物料编码</field>
    <field field="deptid" mapper="">部门</field>
    <field field="bednetcode">报价唯一码</field>
    <field field="bednetname">床网名称</field>
    <field field="bednettypeid" mapper="">床网类别</field>
    <field field="mattress_width" datatype="number">床网宽/CM</field>
    <field field="mattress_length" datatype="number">床网长/CM</field>
    <field field="mattress_height" datatype="number">床网高/CM</field>
    <field field="createby">登记人</field>
    <field field="createtime" datatype="datetime">登记时间</field>
    <field field="js2_auditingrep">清单补充审核人</field>
    <field field="js2_auditingdate" datatype="datetime">清单补充审核时间</field>
    <field field="creatmtrl_auditingrep">生成L1产品人</field>
    <field field="creatmtrl_auditingdate" datatype="datetime">生成L1产品时间</field>
    <field field="creatmtrlqd_auditingrep">生成L1清单人</field>
    <field field="creatmtrlqd_auditingdate" datatype="datetime">生成L1清单时间</field>
    <field field="taxrate" datatype="number">税率</field>
    <field field="fob" datatype="number">Fob</field>
    <field field="taxes" datatype="number">税金</field>
    <field field="erp_mtrlengname">原物料编码</field>
    <field field="erp_configcodetype">ERP配置类型</field>
  </displayfields>
</select>
